package de.ivu.elect.business.security.control;

import de.ivu.elect.business.mandant.boundary.AbstractMandantDAO;
import de.ivu.elect.business.mandant.entity.Mandant;
import de.ivu.elect.business.security.entity.ElectPricipalContext;

public abstract class AbstractElectPricipalContext implements ElectPricipalContext {

  private static final long serialVersionUID = 1L;

  protected abstract AbstractMandantDAO getMandantDao();

  @Override
  public Mandant getLogInMandant(Long mandantenNummer) {
    return getMandantDao().findByNummer(mandantenNummer);
  }

}
